# Open-Data-Leitfaden Schleswig-Holstein

This is the source for the "Open-Data-Leitfaden Schleswig-Holstein". From the source, different targets can be generated. See the [Makefile](/Makefile) for details. 
The workflow is based on the procedure used for the [Berliner Open-Data-Handbuch](https://github.com/berlinonline/open-data-handbuch).

The following versions exist:

- A PDF document generated directly from the source via [pandoc](https://pandoc.org) (and additional processing - see [Makefile](/Makefile) for details).
- An HTML version generated directly from the source via the static website generator [Hugo](https://gohugo.io) - available online here: https://opendata.zitsh.de/leitfaden/

**The main content file is [leitfaden-opendata.md](leitfaden-opendata.md).**

## Building

You need a few prerequisites to build the _Open-Data-Leitfaden Schleswig-Holstein_. 

On a *Ubuntu 20.04 LTS* system the following packages have to be installed:

```bash
sudo apt install make librsvg2-bin poppler-utils pandoc pdflatex hugo
```

On a *Alpine Linux 3.18.4* system the build environment can be prepared this way:

```bash
apk add ruby texlive make librsvg hugo texmf-dist-fontsextra poppler-utils
wget https://github.com/jgm/pandoc/releases/download/3.1.9/pandoc-3.1.9-linux-amd64.tar.gz
tar xfz pandoc-3.1.9-linux-amd64.tar.gz
cp pandoc-3.1.9/bin/pandoc /usr/local/bin/
```

You can create the PDF document:

```bash
git clone https://code.schleswig-holstein.de/opendata/leitfaden.git
cd leitfaden
make pdf
```

The resulting PDF document will be placed at `public/leitfaden-opendata.pdf`.

To generate the HTML version:

```bash
git clone https://code.schleswig-holstein.de/opendata/leitfaden.git
cd leitfaden
make web
```

The resulting HTML files can be found in the `public/` directory. 

You can also run Hugo in _live mode_ and serve the content at http://localhost:1313/leitfaden/ by using the command `make serve-web`.

## Commons errors

```
File template/listings-setup.tex not found in resource path
```


## License

The text, all markdown sources and PDF artifacts of the _Open-Data-Leitfaden Schleswig-Holstein_ are published under [Creative Commons Namensnennung 4.0 International Lizenz](https://creativecommons.org/licenses/by/4.0/deed.de) (CC BY 4.0).

For the licenses to the images contained in the _Open-Data-Leitfaden Schleswig-Holstein_, please refer to the [Bildverzeichnis](https://berlinonline.github.io/open-data-handbuch/#bildverzeichnis).

All code, including the `Makefile` and the source code in `/bin` is published under the [MIT License](/LICENSE).
